Name:           perl-ExtUtils-ParseXS
%if %{rhel} >= 6
Epoch:          1
%endif
Version:        3.24
Release:        1%{?org_tag}%{?dist}
Summary:        Converts Perl XS code into C code
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/ExtUtils-ParseXS/
Source0:        http://www.cpan.org/authors/id/D/DA/DAGOLDEN/ExtUtils-ParseXS-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  perl(ExtUtils::CBuilder)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.46
BuildRequires:  perl(Test::More) >= 0.47
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       perl(ExtUtils::CBuilder)
Requires:       perl(ExtUtils::MakeMaker) >= 6.46

%description
ExtUtils::ParseXS will compile XS code into C code by embedding the
constructs necessary to let C functions manipulate Perl values and creates
the glue necessary to let Perl access those functions. The compiler uses
typemaps to determine how to map C function parameters and variables to
Perl values.

WARNING: the 'xsubpp' utility, and its man page, conflict with the versions
installed by in perl-devel package, and so are available here as 
'xsubpp-%{version}', and 'man xsubpp-%{version}'.

%prep
%setup -q -n ExtUtils-ParseXS-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optimize}"
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

mv %{buildroot}%{_bindir}/xsubpp        %{buildroot}%{_bindir}/xsubpp-%{version}
mv %{buildroot}%{_mandir}/man1/xsubpp.1 %{buildroot}%{_mandir}/man1/xsubpp-%{version}.1

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/ExtUtils*
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Sat Jun 07 2014 Gavin Carr <gavin@openfusion.com.au> 3.24-1
- Update to version 3.24.

* Thu Mar 29 2012 Gavin Carr <gavin@openfusion.com.au> 3.15-1
- Update to version 3.15.

* Fri Feb 04 2011 Gavin Carr <gavin@openfusion.com.au> 2.2206-1
- Specfile autogenerated by cpanspec 1.78.
